You can subscribe to this list here.
| 2003 |
Jan
|
Feb
|
Mar
|
Apr
|
May
|
Jun
|
Jul
|
Aug
|
Sep
|
Oct
(202) |
Nov
(201) |
Dec
(280) |
|---|---|---|---|---|---|---|---|---|---|---|---|---|
| 2004 |
Jan
(493) |
Feb
(106) |
Mar
(215) |
Apr
(163) |
May
(79) |
Jun
(193) |
Jul
(47) |
Aug
(71) |
Sep
(127) |
Oct
(41) |
Nov
(49) |
Dec
(120) |
| 2005 |
Jan
(147) |
Feb
(45) |
Mar
(26) |
Apr
(71) |
May
(52) |
Jun
(28) |
Jul
(92) |
Aug
(50) |
Sep
(35) |
Oct
(193) |
Nov
(106) |
Dec
(52) |
| 2006 |
Jan
(51) |
Feb
(38) |
Mar
(33) |
Apr
(79) |
May
(107) |
Jun
(67) |
Jul
(21) |
Aug
(65) |
Sep
(44) |
Oct
(87) |
Nov
(12) |
Dec
(56) |
| 2007 |
Jan
(48) |
Feb
(58) |
Mar
(63) |
Apr
(31) |
May
(25) |
Jun
(20) |
Jul
(72) |
Aug
(54) |
Sep
(30) |
Oct
(76) |
Nov
(74) |
Dec
(25) |
| 2008 |
Jan
(39) |
Feb
(39) |
Mar
(62) |
Apr
(64) |
May
(59) |
Jun
(31) |
Jul
(25) |
Aug
(25) |
Sep
(17) |
Oct
(24) |
Nov
|
Dec
(1) |
| 2009 |
Jan
(60) |
Feb
(39) |
Mar
(16) |
Apr
(30) |
May
(52) |
Jun
(35) |
Jul
(15) |
Aug
(15) |
Sep
(21) |
Oct
(32) |
Nov
(39) |
Dec
(52) |
| 2010 |
Jan
(42) |
Feb
(40) |
Mar
(23) |
Apr
(20) |
May
(27) |
Jun
(10) |
Jul
(30) |
Aug
(30) |
Sep
(66) |
Oct
(12) |
Nov
(35) |
Dec
(60) |
| 2011 |
Jan
(16) |
Feb
(1) |
Mar
(3) |
Apr
(28) |
May
(21) |
Jun
|
Jul
(12) |
Aug
(6) |
Sep
(10) |
Oct
(14) |
Nov
(40) |
Dec
(60) |
| 2012 |
Jan
(23) |
Feb
(17) |
Mar
(24) |
Apr
(18) |
May
(13) |
Jun
(1) |
Jul
|
Aug
(5) |
Sep
|
Oct
(5) |
Nov
(5) |
Dec
(15) |
| 2013 |
Jan
(2) |
Feb
(5) |
Mar
(1) |
Apr
(2) |
May
(2) |
Jun
(3) |
Jul
|
Aug
(3) |
Sep
(5) |
Oct
(3) |
Nov
(1) |
Dec
(1) |
| 2014 |
Jan
(3) |
Feb
(5) |
Mar
(8) |
Apr
(3) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
|
Sep
(4) |
Oct
(10) |
Nov
|
Dec
(9) |
| 2015 |
Jan
(18) |
Feb
(17) |
Mar
(5) |
Apr
(2) |
May
|
Jun
(5) |
Jul
(1) |
Aug
(2) |
Sep
(1) |
Oct
(24) |
Nov
(20) |
Dec
(41) |
| 2016 |
Jan
(9) |
Feb
(3) |
Mar
(2) |
Apr
(7) |
May
(8) |
Jun
(1) |
Jul
(6) |
Aug
(5) |
Sep
(2) |
Oct
(6) |
Nov
(1) |
Dec
(6) |
| 2017 |
Jan
(6) |
Feb
(1) |
Mar
|
Apr
(4) |
May
(1) |
Jun
(1) |
Jul
(2) |
Aug
(2) |
Sep
|
Oct
|
Nov
|
Dec
|
|
From: Bruce S. <bl...@us...> - 2008-05-01 14:35:06
|
Update of /cvsroot/devil-linux/build/scripts/configuration In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv17710/scripts/configuration Modified Files: boot_options.config Log Message: added 1280x1024 & 1600x1200 options to boot menu changed default boot mode on server release to 1024x768 Index: boot_options.config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/boot_options.config,v retrieving revision 1.1 retrieving revision 1.2 diff -u -d -r1.1 -r1.2 --- boot_options.config 3 Feb 2004 02:33:12 -0000 1.1 +++ boot_options.config 1 May 2008 14:35:01 -0000 1.2 @@ -6,4 +6,4 @@ # http://www.devil-linux.org [ -z $CONFIG_BOOT_OPTION_VGA ] && CONFIG_BOOT_OPTION_VGA="80x25" -menu_add "Build Configuration|Boot Options" list "Default screen resolution" CONFIG_BOOT_OPTION_VGA "80x25" "640x480" "800x600" "1024x768" "ask" +menu_add "Build Configuration|Boot Options" list "Default screen resolution" CONFIG_BOOT_OPTION_VGA "80x25" "640x480" "800x600" "1024x768" "1280x1024" "1600x1200" "ask" |
|
From: Bruce S. <bl...@us...> - 2008-05-01 14:35:06
|
Update of /cvsroot/devil-linux/build/scripts/configuration/profiles In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv17710/scripts/configuration/profiles Modified Files: server Log Message: added 1280x1024 & 1600x1200 options to boot menu changed default boot mode on server release to 1024x768 Index: server =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/configuration/profiles/server,v retrieving revision 1.2 retrieving revision 1.3 diff -u -d -r1.2 -r1.3 --- server 11 Apr 2008 13:28:21 -0000 1.2 +++ server 1 May 2008 14:35:01 -0000 1.3 @@ -7,7 +7,7 @@ CONFIG_AWSTATS=y CONFIG_BLUEZ=y CONFIG_BONNIEPP=y -CONFIG_BOOT_OPTION_VGA=80x25 +CONFIG_BOOT_OPTION_VGA=1024x768 CONFIG_BRIDGE_UTILS=y CONFIG_CDRTOOLS_ON_CD=y CONFIG_CLAMAV=y |
|
From: Bruce S. <bl...@us...> - 2008-05-01 14:35:05
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv17710/scripts Modified Files: build-iso Log Message: added 1280x1024 & 1600x1200 options to boot menu changed default boot mode on server release to 1024x768 Index: build-iso =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/build-iso,v retrieving revision 1.79 retrieving revision 1.80 diff -u -d -r1.79 -r1.80 --- build-iso 30 Apr 2008 15:47:30 -0000 1.79 +++ build-iso 1 May 2008 14:35:00 -0000 1.80 @@ -266,22 +266,24 @@ declare -a BOOT_OPTIONS_MODE declare -a BOOT_OPTIONS_KERNEL_MODE BOOT_OPTIONS_TEXT=( "0 - Standard 80x25 text mode" - "1 - 640x480 VESA Frame Buffer" - "2 - 800x600 VESA Frame Buffer" - "3 - 1024x768 VESA Frame Buffer" - "4 - Other" ) - BOOT_OPTIONS_MODE=( "80x25" "640x480" "800x600" "1024x768" "ask" ) - BOOT_OPTIONS_KERNEL_MODE=( "NORMAL_VGA" "769" "771" "773" "ask" ) + "1 - 640x480 VESA Frame Buffer" + "2 - 800x600 VESA Frame Buffer" + "3 - 1024x768 VESA Frame Buffer" + "4 - 1280x1024 VESA Frame Buffer" + "5 - 1600x1200 VESA Frame Buffer" + "6 - Other" ) + BOOT_OPTIONS_MODE=( "80x25" "640x480" "800x600" "1024x768" "1280x1024" "1600x1200" "ask" ) + BOOT_OPTIONS_KERNEL_MODE=( "NORMAL_VGA" "769" "771" "773" "775" "796" "ask" ) BOOT_OPTION_DEFAULT=0 # vga=xxx sets the framebuffer console to a specific resolution. # Here is a table you can use so it can help you decide # what resolution you want to use: - # colour depth | 640x480 800x600 1024x768 1280x1024 - # 256 (8bit) | 769 771 773 775 - # 32000 (15bit) | 784 787 790 793 - # 65000 (16bit) | 785 788 791 794 - # 16.7 Mill. (24bit) | 786 789 792 795 - + # Colors ( depth) 640x480 800x600 1024x768 1280x1024 1600x1200 + # ---------------+-------+-------+--------+---------+--------- + # 256 ( 8 bit)| 769 771 773 775 796 + # 32,768 (15 bit)| 784 787 790 793 797 + # 65,536 (16 bit)| 785 788 791 794 798 + # 16.8M (24 bit)| 786 789 792 795 799 i=0 while [ $i -lt ${#BOOT_OPTIONS_TEXT[@]} ] |
|
From: Bruce S. <bl...@us...> - 2008-04-30 19:14:51
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv4432 Modified Files: save-config Log Message: One more fix ... Index: save-config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/save-config,v retrieving revision 1.38 retrieving revision 1.39 diff -u -d -r1.38 -r1.39 --- save-config 30 Apr 2008 18:09:32 -0000 1.38 +++ save-config 30 Apr 2008 19:14:47 -0000 1.39 @@ -37,7 +37,7 @@ echo " By default, the file loaded during boot will updated." echo; echo " -d <devicename> Device to use for configuration file." - echo " -f <filename> Name of configuration file (default is \"etc.tar.bz2\")." + echo " -f <filename> Name of configuration file (default is \"$DL_CONFIG_FILE\")." echo " -h This help text" echo " -q Quiet operation, no status ouput." echo " -s Force search of all devices for configuration file." |
|
From: Bruce S. <bl...@us...> - 2008-04-30 18:09:36
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv13427 Modified Files: CHANGES Log Message: changed save-config to optionally delete pre-aufs config Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1201 retrieving revision 1.1202 diff -u -d -r1.1201 -r1.1202 --- CHANGES 30 Apr 2008 15:45:57 -0000 1.1201 +++ CHANGES 30 Apr 2008 18:09:32 -0000 1.1202 @@ -22,6 +22,7 @@ # 1.3.5 +- changed save-config to optionally delete pre-aufs config (bs) - fixed php file upload bug (bs) - fixed gzip to install missing (zcat, etc.) programs (bs) - fixed setting file permissions on boot to not conflict with aufs (bs) |
|
From: Bruce S. <bl...@us...> - 2008-04-30 18:09:35
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv13427/scripts/scripts Modified Files: save-config Log Message: changed save-config to optionally delete pre-aufs config Index: save-config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/save-config,v retrieving revision 1.37 retrieving revision 1.38 diff -u -d -r1.37 -r1.38 --- save-config 16 Apr 2008 13:19:16 -0000 1.37 +++ save-config 30 Apr 2008 18:09:32 -0000 1.38 @@ -15,7 +15,8 @@ QUIET="" DL_CONFIG_SOURCE="" -DL_CONFIG_FILE="etc.tar.bz2" +DL_CONFIG_FILE="etc-mods.tar.bz2" +OLD_CONFIG_FILE="etc.tar.bz2" CONFIG_MOUNT=/var/adm/mount mkdir -p $CONFIG_MOUNT || exit 1 @@ -236,7 +237,7 @@ umount $CONFIG_MOUNT $FAILURE - echo "Do you still want to save?" + echo -n "Do you still want to save?" $NORMAL if ! ask_yes_no ; then exit 1 @@ -253,6 +254,31 @@ mount -o remount,rw,noatime $CONFIG_MOUNT fi +# check for old (pre-aufs) config file +if [ -e $CONFIG_MOUNT/$OLD_CONFIG_FILE ] ; then + $WARNING + echo + echo "There is an old config $OLD_CONFIG_FILE on $DL_CONFIG_SOURCE" + echo "Depending on file and media sizes, you may run out of disk space." + echo + echo -n "Would you like me to remove: $OLD_CONFIG_FILE ?" + $NORMAL + if ask_yes_no ; then + $FAILURE + echo -n "Last chance, are you sure?" + $NORMAL + if ask_yes_no ; then + $WARNING + echo -n "Removing: $CONFIG_MOUNT/$OLD_CONFIG_FILE ... " + sleep 5 # give them a couple seconds to hit CTRL-C + rm -f $CONFIG_MOUNT/$OLD_CONFIG_FILE + $SUCCESS + echo "done" + fi + fi + $NORMAL +fi + $SUCCESS echo "Saving current configuration" $NORMAL |
|
From: Bruce S. <bl...@us...> - 2008-04-30 15:47:33
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv28506/scripts Modified Files: build-iso Log Message: For Serge. :-) Index: build-iso =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/build-iso,v retrieving revision 1.78 retrieving revision 1.79 diff -u -d -r1.78 -r1.79 --- build-iso 18 Apr 2008 12:47:06 -0000 1.78 +++ build-iso 30 Apr 2008 15:47:30 -0000 1.79 @@ -56,7 +56,7 @@ pushd $WORKDIR > /dev/null - #mkdir -p $CDDIR/config/etc_files || exit 1 + mkdir -p $CDDIR/config || exit 1 chmod 700 $CDDIR/config || exit 1 chown 0.0 $CDDIR/config || exit 1 |
|
From: Bruce S. <bl...@us...> - 2008-04-30 15:46:04
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv27781/scripts Modified Files: php Log Message: fixed php file upload bug Index: php =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/php,v retrieving revision 1.17 retrieving revision 1.18 diff -u -d -r1.17 -r1.18 --- php 23 Apr 2008 14:50:22 -0000 1.17 +++ php 30 Apr 2008 15:45:57 -0000 1.18 @@ -39,7 +39,7 @@ # # not working --enable-xslt --with-kerberos # do not use --with-cyrus - make $PMAKE all || exit 1 + make CC="gcc -fno-stack-protector" $PMAKE all || exit 1 strip_debug fi ;; |
|
From: Bruce S. <bl...@us...> - 2008-04-30 15:46:04
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv27781 Modified Files: CHANGES Log Message: fixed php file upload bug Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1200 retrieving revision 1.1201 diff -u -d -r1.1200 -r1.1201 --- CHANGES 22 Apr 2008 17:46:20 -0000 1.1200 +++ CHANGES 30 Apr 2008 15:45:57 -0000 1.1201 @@ -22,6 +22,7 @@ # 1.3.5 +- fixed php file upload bug (bs) - fixed gzip to install missing (zcat, etc.) programs (bs) - fixed setting file permissions on boot to not conflict with aufs (bs) - updated busybox to 1.9.2 (sl) |
|
From: Bruce S. <bl...@us...> - 2008-04-30 13:27:56
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv9306 Modified Files: Makefile Log Message: document "make makefile" Index: Makefile =================================================================== RCS file: /cvsroot/devil-linux/build/Makefile,v retrieving revision 1.10 retrieving revision 1.11 diff -u -d -r1.10 -r1.11 --- Makefile 12 Dec 2004 04:54:30 -0000 1.10 +++ Makefile 30 Apr 2008 13:27:45 -0000 1.11 @@ -25,6 +25,7 @@ echo " mrproper .... cleans complete working folder :)"; \ echo " unpack ...... unpack all available sources"; \ echo " dist ........ creates files for distribution in ./dist"; \ + echo " makefile .... faster version of \"make build install iso\""; \ echo "" menuconfig: |
|
From: Bruce S. <bl...@us...> - 2008-04-29 17:27:48
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv27530/scripts/scripts Modified Files: logrotate.conf Log Message: Add location of gzip Index: logrotate.conf =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/logrotate.conf,v retrieving revision 1.4 retrieving revision 1.5 diff -u -d -r1.4 -r1.5 --- logrotate.conf 8 Jun 2005 13:56:05 -0000 1.4 +++ logrotate.conf 29 Apr 2008 17:27:44 -0000 1.5 @@ -10,6 +10,7 @@ # uncomment this if you want your log files compressed compress +compresscmd /usr/bin/gzip # packages drop log rotation information into this directory include /etc/logrotate.d |
|
From: Bruce S. <bl...@us...> - 2008-04-28 19:30:59
|
Update of /cvsroot/devil-linux/build/config/etc/initrd In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv3100/config/etc/initrd Modified Files: mount_cdrom Log Message: Fix "RUN FROM RAM" on aufs. Index: mount_cdrom =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/initrd/mount_cdrom,v retrieving revision 1.43 retrieving revision 1.44 diff -u -d -r1.43 -r1.44 --- mount_cdrom 15 Sep 2007 17:05:56 -0000 1.43 +++ mount_cdrom 28 Apr 2008 19:30:21 -0000 1.44 @@ -117,16 +117,16 @@ fi # check if we already have a config loaded - if [ -e "/etc/Devil-release" -a "/etc/sysconfig/config" ]; then + if [ "/shm/etc-mods/sysconfig/config" ]; then # load main config file - . /etc/sysconfig/config + . /shm/etc-mods/sysconfig/config else # nothing I can do about it, no config, no variable RUNFROMRAM return 1 fi # check if we should run from ram or not - [ -z "${RUNFROMRAM}" -o "${RUNFROMRAM}" != "yes" ] && return 1 + [ "${RUNFROMRAM}" != "yes" ] && return 1 ## FIXME # we should probably define these somewhere more central |
|
From: Serge L. <sma...@us...> - 2008-04-28 08:49:34
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv32276 Modified Files: man Log Message: gunzip now is a wrapper for gzip and alredy has '-d' Index: man =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/man,v retrieving revision 1.11 retrieving revision 1.12 diff -u -d -r1.11 -r1.12 --- man 28 Apr 2008 02:06:32 -0000 1.11 +++ man 28 Apr 2008 08:49:26 -0000 1.12 @@ -25,7 +25,6 @@ case $1 in build ) - replace_str ./configure 'gunzip -c' 'gunzip -c -d' ./configure -default -confdir=/etc make && strip_debug |
|
From: Bruce S. <bl...@us...> - 2008-04-28 02:06:38
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv16351/scripts Modified Files: man Log Message: Fixed location of gzip files, and made sed more efficient. Index: man =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/man,v retrieving revision 1.10 retrieving revision 1.11 diff -u -d -r1.10 -r1.11 --- man 11 Jul 2007 13:47:51 -0000 1.10 +++ man 28 Apr 2008 02:06:32 -0000 1.11 @@ -37,14 +37,17 @@ # correct path names cp src/man.conf{,.backup} - sed -e '/^PAGER/s/-is/-isR/' src/man.conf.backup | \ - sed -e 's$\t/bin/nroff$\t/usr/bin/nroff$' | \ - sed -e 's$\t/bin/groff$\t/usr/bin/groff$' | \ - sed -e 's$\t/bin/tbl$\t/usr/bin/tbl$' | \ - sed -e 's$\t/bin/pic$\t/usr/bin/pic$' | \ - sed -e 's$\t/bin/eqn$\t/usr/bin/eqn$' | \ - sed -e 's$\t/bin/less$\t/usr/bin/less$' | \ - sed -e 's$\t/bin/refer$\t/usr/bin/refer$' > src/man.conf + sed -e '/^PAGER/s/-is/-isR/' \ + -e 's$\t/bin/nroff$\t/usr/bin/nroff$' \ + -e 's$\t/bin/groff$\t/usr/bin/groff$' \ + -e 's$\t/bin/tbl$\t/usr/bin/tbl$' \ + -e 's$\t/bin/pic$\t/usr/bin/pic$' \ + -e 's$\t/bin/eqn$\t/usr/bin/eqn$' \ + -e 's$\t/bin/less$\t/usr/bin/less$' \ + -e 's$\t/bin/refer$\t/usr/bin/refer$' \ + -e 's$\t/bin/gunzip$\t/usr/bin/gunzip$' \ + -e 's$\t/bin/zcat$\t/usr/bin/zcat$' \ + src/man.conf.backup > src/man.conf make install PREFIX=$TMPDIR || exit 1 copy_docs $TMPDIR |
|
From: Bruce S. <bl...@us...> - 2008-04-23 14:51:11
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv8217/scripts Modified Files: php Log Message: fix apache default config file error Index: php =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/php,v retrieving revision 1.16 retrieving revision 1.17 diff -u -d -r1.16 -r1.17 --- php 21 Feb 2008 20:32:47 -0000 1.16 +++ php 23 Apr 2008 14:50:22 -0000 1.17 @@ -51,6 +51,7 @@ cp -dpR $ETCDIR/etc/apache2 $TMPDIR/etc make install INSTALL_ROOT=$TMPDIR replace_str $TMPDIR/etc/apache2/httpd.conf ${WORKDIR#*/}/tmp/usr /usr + replace_str $TMPDIR/etc/apache2/httpd.conf ${TMPDIR#*/}/usr /usr rm $TMPDIR/etc/apache2/httpd.conf.bak rm $TMPDIR/etc/apache2/httpd.conf.old cp -dp $TMPDIR/etc/apache2/httpd.conf $ETCDIR/etc/apache2/ |
|
From: Bruce S. <bl...@us...> - 2008-04-22 20:36:04
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv8729/scripts Modified Files: gzip Log Message: Do it the "right" way. :-) I'm also moving the binaries from /bin to /usr/bin because a bug in the Makefile prevents it from working correctly with "PREFIX=/". Hope that's OK! Index: gzip =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/gzip,v retrieving revision 1.10 retrieving revision 1.11 diff -u -d -r1.10 -r1.11 --- gzip 22 Apr 2008 17:46:20 -0000 1.10 +++ gzip 22 Apr 2008 20:35:59 -0000 1.11 @@ -31,20 +31,12 @@ ;; install ) - cp -p gunzip $CDDIR/bin || exit 1 - cp -p gzexe $CDDIR/bin || exit 1 - cp -p gzip $CDDIR/bin || exit 1 - cp -p zcat $CDDIR/bin || exit 1 - cp -p zcmp $CDDIR/bin || exit 1 - cp -p zdiff $CDDIR/bin || exit 1 - cp -p zegrep $CDDIR/bin || exit 1 - cp -p zfgrep $CDDIR/bin || exit 1 - cp -p zforce $CDDIR/bin || exit 1 - cp -p zgrep $CDDIR/bin || exit 1 - cp -p zless $CDDIR/bin || exit 1 - cp -p zmore $CDDIR/bin || exit 1 - cp -p znew $CDDIR/bin || exit 1 - ln -sf gzip $CDDIR/bin/uncompress || exit 1 + + rm -rf $TMPDIR || exit 1 + make install DESTDIR=$TMPDIR || exit 1 + copy_files $TMPDIR/usr/bin $CDDIR/usr || exit 1 + copy_docs $TMPDIR || exit 1 + rm -rf $TMPDIR ;; * ) |
|
From: Bruce S. <bl...@us...> - 2008-04-22 17:46:43
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv12413 Modified Files: CHANGES Log Message: Added missing gzip packages. Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1199 retrieving revision 1.1200 diff -u -d -r1.1199 -r1.1200 --- CHANGES 18 Apr 2008 12:47:06 -0000 1.1199 +++ CHANGES 22 Apr 2008 17:46:20 -0000 1.1200 @@ -22,6 +22,7 @@ # 1.3.5 +- fixed gzip to install missing (zcat, etc.) programs (bs) - fixed setting file permissions on boot to not conflict with aufs (bs) - updated busybox to 1.9.2 (sl) - fixed gpm - was not installing on CD. (bs) |
|
From: Bruce S. <bl...@us...> - 2008-04-22 17:46:38
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv12413/scripts Modified Files: gzip Log Message: Added missing gzip packages. Index: gzip =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/gzip,v retrieving revision 1.9 retrieving revision 1.10 diff -u -d -r1.9 -r1.10 --- gzip 11 Jan 2004 14:43:04 -0000 1.9 +++ gzip 22 Apr 2008 17:46:20 -0000 1.10 @@ -31,13 +31,20 @@ ;; install ) - cp gzip $CDDIR/bin || exit 1 - ln -sf gzip $CDDIR/bin/gunzip || exit 1 - ln -sf gzip $CDDIR/bin/zcat || exit 1 + cp -p gunzip $CDDIR/bin || exit 1 + cp -p gzexe $CDDIR/bin || exit 1 + cp -p gzip $CDDIR/bin || exit 1 + cp -p zcat $CDDIR/bin || exit 1 + cp -p zcmp $CDDIR/bin || exit 1 + cp -p zdiff $CDDIR/bin || exit 1 + cp -p zegrep $CDDIR/bin || exit 1 + cp -p zfgrep $CDDIR/bin || exit 1 + cp -p zforce $CDDIR/bin || exit 1 + cp -p zgrep $CDDIR/bin || exit 1 + cp -p zless $CDDIR/bin || exit 1 + cp -p zmore $CDDIR/bin || exit 1 + cp -p znew $CDDIR/bin || exit 1 ln -sf gzip $CDDIR/bin/uncompress || exit 1 - #echo - #echo check if links on CD work - #exit 1 ;; * ) |
|
From: Heiko Z. <smi...@us...> - 2008-04-18 17:47:22
|
Update of /cvsroot/devil-linux/web/sitetools In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv18052 Modified Files: sponsors.php Log Message: new donation Index: sponsors.php =================================================================== RCS file: /cvsroot/devil-linux/web/sitetools/sponsors.php,v retrieving revision 1.49 retrieving revision 1.50 diff -u -d -r1.49 -r1.50 --- sponsors.php 5 Mar 2008 19:56:53 -0000 1.49 +++ sponsors.php 18 Apr 2008 17:47:13 -0000 1.50 @@ -9,6 +9,10 @@ <td class="boxheading" align=center>Donation</td> </tr> <tr> + <td><a href="http://www.onetravelsource.com" target="_blank">One Travel Source</a></td> + <td align="right">$50</td> +</tr> +<tr> <td><a href="http://www.business-inc.co.uk" target="_blank">Company Formation</a></td> <td align="right">$50</td> </tr> |
|
From: Bruce S. <bl...@us...> - 2008-04-18 14:18:41
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv7494/scripts Modified Files: procinfo Log Message: procinfo is causing problems with inittab respawing too fast Index: procinfo =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/procinfo,v retrieving revision 1.8 retrieving revision 1.9 diff -u -d -r1.8 -r1.9 --- procinfo 11 Jan 2004 14:43:05 -0000 1.8 +++ procinfo 18 Apr 2008 14:18:37 -0000 1.9 @@ -32,7 +32,7 @@ install ) cp procinfo $CDDIR/bin || exit 1 copy_man - echo "8:2345:respawn:env - TERM=linux /bin/procinfo -f -F /dev/tty8" >> $ETCDIR/etc/inittab + echo "#8:2345:respawn:env - TERM=linux /bin/procinfo -f -F /dev/tty8" >> $ETCDIR/etc/inittab ;; * ) |
|
From: Bruce S. <bl...@us...> - 2008-04-18 14:11:15
|
Update of /cvsroot/devil-linux/build/scripts/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv3887/scripts/scripts Modified Files: upgrade-config Log Message: Fix bug when upgrading from aufs release to newer aufs release During upgrade, optionally Remove old files in /etc-mods that were put there by old aufs set-permissions problem. Index: upgrade-config =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/scripts/upgrade-config,v retrieving revision 1.33 retrieving revision 1.34 diff -u -d -r1.33 -r1.34 --- upgrade-config 18 Apr 2008 12:47:07 -0000 1.33 +++ upgrade-config 18 Apr 2008 14:11:09 -0000 1.34 @@ -94,33 +94,36 @@ PREUFS="yes" FINDDIR="etc" CMPDIR=".." + MTIME="-3560" else cd $RAMDISKDIR || bailout 1 PREUFS="" FINDDIR="etc-mods" CMPDIR="/etc-cd" + MTIME="-35600" fi echo > $CMPF -for f in $(find $FINDDIR -type f -mtime -3650 -print) +touch -t 198101010101.01 /shm/oldfile +for f in $(find $FINDDIR -type f -mtime $MTIME -print) do onoff="on" echo -n "." - [ $f = "$FINDDIR/Devil-release" ] && continue - [ $f = "$FINDDIR/issue" ] && continue - [ $f = "$FINDDIR/issue.net" ] && continue - [ $f = "$FINDDIR/sysconfig/upgrade.log" ] && continue - [ $f = "$FINDDIR/sysconfig/software" ] && continue - [ $f = "$FINDDIR/mtab" ] && continue - [ $f = "$FINDDIR/.pwd.lock" ] && continue - [ $f = "$FINDDIR/passwd" ] && continue - [ $f = "$FINDDIR/passwd-" ] && continue - [ $f = "$FINDDIR/group" ] && continue - [ $f = "$FINDDIR/group-" ] && continue - [ $f = "$FINDDIR/shadow" ] && continue - [ $f = "$FINDDIR/shadow-" ] && continue - [ $f = "$FINDDIR/gshadow" ] && continue - [ $f = "$FINDDIR/gshadow-" ] && continue + [ "$f" = "$FINDDIR/Devil-release" ] && continue + [ "$f" = "$FINDDIR/issue" ] && continue + [ "$f" = "$FINDDIR/issue.net" ] && continue + [ "$f" = "$FINDDIR/sysconfig/upgrade.log" ] && continue + [ "$f" = "$FINDDIR/sysconfig/software" ] && continue + [ "$f" = "$FINDDIR/mtab" ] && continue + [ "$f" = "$FINDDIR/.pwd.lock" ] && continue + [ "$f" = "$FINDDIR/passwd" ] && continue + [ "$f" = "$FINDDIR/passwd-" ] && continue + [ "$f" = "$FINDDIR/group" ] && continue + [ "$f" = "$FINDDIR/group-" ] && continue + [ "$f" = "$FINDDIR/shadow" ] && continue + [ "$f" = "$FINDDIR/shadow-" ] && continue + [ "$f" = "$FINDDIR/gshadow" ] && continue + [ "$f" = "$FINDDIR/gshadow-" ] && continue comparesubstr "$f" "$FINDDIR/modules/" && continue comparesubstr "$f" "$FINDDIR/sysconfig/config" && continue comparesubstr "$f" "$FINDDIR/init.d/" && onoff="off" @@ -129,9 +132,12 @@ comparesubstr "$f" "$FINDDIR/init.d/boot.local" && onoff="on" comparesubstr "$f" "$FINDDIR/my.cnf" && onoff="off" comparesubstr "$f" "$FINDDIR/udev/" && onoff="off" - cmp -s "/etc/$f" "$CMPDIR/$f" || echo $f \"\" $onoff \"$f\" >> $TMPD - echo $f >> $CMPF + comparesubstr "$f" "$FINDDIR/." && onoff="off" + [ -f "$f" -a "$f" -ot /shm/oldfile ] && onoff="off" + cmp -s "/etc/$f" "$CMPDIR/$f" || echo "$f" \"\" $onoff \"$f\" >> $TMPD + echo "$f" >> $CMPF done +rm -f /shm/oldfile msgbox "Please read:" "The next screen will let you select which of your old config files you want to copy to your new configuration \n\nBe VERY CAREFUL to only copy files you have customized. Copying other files could cause severe problems.\n\nNote: Selecting \"Help\" will display info about the current file, but upon return you will lose all selections made." @@ -218,9 +224,9 @@ echo >> $LOGF for f in $(cat $CMPF) do - if [ $(grep -xc "$f" $RESULT) -eq 1 ]; then - echo "not keeping: $p" | tee -a $LOGF - rm -f $FINDDIR/$p + if [ $(grep -c "\"$f\"" $RESULT) -eq 0 ]; then + echo "not keeping: $f" | tee -a $LOGF + rm -f $f fi done fi |
|
From: Bruce S. <bl...@us...> - 2008-04-18 12:52:36
|
Update of /cvsroot/devil-linux/build/config/etc/sysconfig In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv8600/config/etc/sysconfig Modified Files: permissions.base Log Message: Not sure about this one. It's 755 on my ubuntu system, but some daemons may fail if they can't write to /var/log, so I'm changing it back to 777. Index: permissions.base =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/sysconfig/permissions.base,v retrieving revision 1.17 retrieving revision 1.18 diff -u -d -r1.17 -r1.18 --- permissions.base 18 Apr 2008 12:47:06 -0000 1.17 +++ permissions.base 18 Apr 2008 12:52:30 -0000 1.18 @@ -104,4 +104,4 @@ #/usr/bin/ssh root.root 0750 #/usr/sbin/brctl root.root 0700 -#/var/log root.root 0777 +/var/log root.root 0777 |
|
From: Bruce S. <bl...@us...> - 2008-04-18 12:47:15
|
Update of /cvsroot/devil-linux/build/scripts In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6762/scripts Modified Files: build-iso Log Message: Fixed setting file permissions on boot to not confict with aufs. Index: build-iso =================================================================== RCS file: /cvsroot/devil-linux/build/scripts/build-iso,v retrieving revision 1.77 retrieving revision 1.78 diff -u -d -r1.77 -r1.78 --- build-iso 16 Apr 2008 13:19:15 -0000 1.77 +++ build-iso 18 Apr 2008 12:47:06 -0000 1.78 @@ -134,10 +134,27 @@ cp -a $WORKDIR/ETC/etc $CDDIR/etc-temp pushd $CDDIR/etc-temp > /dev/null mv etc etc-mods + chmod 700 etc-mods/sysconfig etc-mods/sysconfig/nic tar -cjpf $CDDIR/config/etc-mods.tar.bz2 etc-mods/{Devil-release,issue,issue.net,sysconfig/config} mv etc-mods $CDDIR/etc-cd rmdir $CDDIR/etc-temp popd > /dev/null + find $CDDIR/etc-cd/sysconfig -maxdepth 1 -type f -exec chmod 600 {} \; + find $CDDIR/etc-cd/sysconfig/nic -maxdepth 1 -type f -exec chmod 600 {} \; + chmod 600 $CDDIR/etc-cd/crontab $CDDIR/etc-cd/inittab $CDDIR/etc-cd/fstab + chmod 644 $CDDIR/etc-cd/ssh/ssh_config + chmod 600 $CDDIR/etc-cd/ssh/sshd_config + chmod 750 $CDDIR/etc-cd/ppp + chmod 600 $CDDIR/etc-cd/ppp/chap-secrets $CDDIR/etc-cd/ppp/pap-secrets $CDDIR/etc-cd/ppp/pppoe.conf + chmod 600 $CDDIR/etc-cd/login.defs $CDDIR/etc-cd/ipsec* $CDDIR/syslog-ng/syslog-ng.conf + chmod 644 $CDDIR/etc-cd/passwd* + chmod 640 $CDDIR/etc-cd/shadow* + find $CDDIR/etc-cd/postfix -maxdepth 1 -type f -exec chmod 640 {} \; + chmod 755 $CDDIR/etc-cd/postfix $CDDIR/etc-cd/postfix/postfix-script + chmod 700 $CDDIR/etc-cd/init.d + find $CDDIR/etc-cd/init.d -maxdepth 1 -type f -exec chmod 700 {} \; + chmod 700 $CDDIR/etc-cd/grsec + chmod 600 $CDDIR/etc-cd/grsec/* echo "done" echo |
|
From: Bruce S. <bl...@us...> - 2008-04-18 12:47:13
|
Update of /cvsroot/devil-linux/build/config/etc/init.d In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6762/config/etc/init.d Modified Files: setfileperm Log Message: Fixed setting file permissions on boot to not confict with aufs. Index: setfileperm =================================================================== RCS file: /cvsroot/devil-linux/build/config/etc/init.d/setfileperm,v retrieving revision 1.9 retrieving revision 1.10 diff -u -d -r1.9 -r1.10 --- setfileperm 5 Mar 2004 01:55:21 -0000 1.9 +++ setfileperm 18 Apr 2008 12:47:06 -0000 1.10 @@ -20,7 +20,6 @@ [ "$1" != "start" ] && exit 0 -#source /etc/init.d/functions source /etc/init.d/functions source /etc/sysconfig/config @@ -29,22 +28,27 @@ echo setting file permissions LOGFILE="/dev/null" -[ $SET_FILE_PERM_DEBUG = "yes" ] && LOGFILE="/tmp/permissions.log" +[ "$SET_FILE_PERM_DEBUG" = "yes" ] && LOGFILE="/tmp/permissions.log" echo > $LOGFILE for PERMFILE in $(ls /etc/sysconfig/permissions.*) do echo "processing $PERMFILE ..." - grep -v ^# $PERMFILE | while read FILE OWNER PERM + grep -v -e '^ *#' -e '^ *$' $PERMFILE | \ + while read FILES OWNERGROUP PERM OTHER do - if [ -n "$FILE" ] ; then - #if [ -e "$FILE" ]; then - chown $OWNER $FILE >> $LOGFILE 2>&1 - chmod $PERM $FILE >> $LOGFILE 2>&1 - #else - # echo "$FILE not found" - #fi - fi + for FILE in $FILES + do + if [ -e $FILE ]; then + OWNER=${OWNERGROUP%%.*} + GROUP=${OWNERGROUP##*.} + find $FILE -maxdepth 0 ! -user $OWNER -print -exec chown $OWNER {} \; >> $LOGFILE 2>&1 + find $FILE -maxdepth 0 ! -group $GROUP -print -exec chgrp $GROUP {} \; >> $LOGFILE 2>&1 + find $FILE -maxdepth 0 ! -perm $PERM -print -exec chmod $PERM {} \; >> $LOGFILE 2>&1 + else + echo cannot find: $FILE >> $LOGFILE + fi + done done done |
|
From: Bruce S. <bl...@us...> - 2008-04-18 12:47:13
|
Update of /cvsroot/devil-linux/build In directory sc8-pr-cvs12.sourceforge.net:/tmp/cvs-serv6762 Modified Files: CHANGES Log Message: Fixed setting file permissions on boot to not confict with aufs. Index: CHANGES =================================================================== RCS file: /cvsroot/devil-linux/build/CHANGES,v retrieving revision 1.1198 retrieving revision 1.1199 diff -u -d -r1.1198 -r1.1199 --- CHANGES 17 Apr 2008 12:22:32 -0000 1.1198 +++ CHANGES 18 Apr 2008 12:47:06 -0000 1.1199 @@ -22,6 +22,7 @@ # 1.3.5 +- fixed setting file permissions on boot to not conflict with aufs (bs) - updated busybox to 1.9.2 (sl) - fixed gpm - was not installing on CD. (bs) - /etc is now mounted as aufs [Another UnionFS] (bs) |